SRC/TagArt/TagArt/Areas/Admin/Controllers/DashboardController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data;
using TagArt_Business.Repository;
using TagArt_Business.Model;
using System.IO;
using System.Threading.Tasks;
using System.Net;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.Drawing.Imaging;
using Elmah;

namespace TagArt.Areas.Admin.Controllers
{
	public class DashboardController : Controller
	{
		// GET: Admin/Dashboard/Index
		public ActionResult Index()
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				return View();
			}
		}

		[HttpGet]
		public ActionResult GetArtistList()
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWork_repository awobj = new ArtWork_repository();
					List<arts_List_Model> artsList = new List<arts_List_Model>();
					List<UserListModel> userModel = new List<UserListModel>();
					artsList = awobj.GetAllArtistName();
					UserList_repository ulr = new UserList_repository();
					List<UserListModel_Admin> ActiveUsr = ulr.GetUserList(Session["usr_UserId"].ToString()).Where(x => x.usr_Status == true).ToList();

					return Json(new { status = true, data = artsList, ActiveUsr = ActiveUsr }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = false });
					throw ex;
				}
			}
		}

		[HttpGet]
		public ActionResult GetLocationList()
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWork_repository awobj = new ArtWork_repository();

					List<Location_Model> LocationList = awobj.GetLocationList().ToList();

					return Json(new { status = true, LocationList = LocationList }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = false });
					throw ex;
				}
			}
		}

		[HttpPost]
		public ActionResult DeleteArt(int ArtId)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWork_repository awobj = new ArtWork_repository();
					bool result = awobj.DeleteArtWork(ArtId);
					return Json(new { status = result }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = false });
				}
			}
		}

		public ActionResult GetArtWork(int Id, int User_Id)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWorkModel awmodel = new ArtWorkModel();
					ArtWork_repository awobj = new ArtWork_repository();
					User_Id = Convert.ToInt32(Session["usr_UserId"]);
					awmodel = awobj.GetArtWork(Id, User_Id, "0", "0");
					return Json(new { status = "success", data = awmodel }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = "fail" });
				}
			}
		}

		public ActionResult GetArtList(Searchdata data1)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					List<ArtWorkModel> awmodel = new List<ArtWorkModel>();
					ArtWork_repository awobj = new ArtWork_repository();
					awmodel = awobj.AdminDashboardArtWork(data1.Index, data1.artist, data1.Age, data1.Status, data1.StartDate, data1.EndDate, data1.UserList);
					return Json(new { status = "success", data = awmodel }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = "fail" });
				}
			}
		}

		public ActionResult DashboardFilter(Searchdata data1)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					List<ArtWorkModel> awmodel = new List<ArtWorkModel>();
					ArtWork_repository awobj = new ArtWork_repository();
					awmodel = awobj.AdminDashboardFilter(data1.Index, data1.artist, data1.Age, data1.Status);
					return Json(new { status = "success", data = awmodel }, JsonRequestBehavior.AllowGet);
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = "fail" });
				}
			}
		}

		public async Task<ActionResult> InsertArts(HttpPostedFileBase file)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWorkModel artWorkModel = new ArtWorkModel();
					ArtWork_repository awobj = new ArtWork_repository();

					artWorkModel.artw_arts_Name = System.Web.HttpContext.Current.Request.Form["artist_name"];
					artWorkModel.artw_address = System.Web.HttpContext.Current.Request.Form["artist_address"];
					artWorkModel.artw_Info = System.Web.HttpContext.Current.Request.Form["artist_info"];
					artWorkModel.artw_createdby = Convert.ToInt32(Session["usr_UserId"]);
					artWorkModel.atrw_age = Convert.ToInt32(System.Web.HttpContext.Current.Request.Form["drop_ArtAge"]);
					artWorkModel.artw_latitude = System.Web.HttpContext.Current.Request.Form["latitude"];
					artWorkModel.artw_longitude = System.Web.HttpContext.Current.Request.Form["longitude"];

					string APIURL = System.Configuration.ConfigurationManager.AppSettings["APIURL"] + "api/ArtWork/AdminArtWorkInsertUpdate";
					Uri ArtInserUrl = new Uri(APIURL);
					HttpFileCollectionBase files = Request.Files;

					for (int i = 0; i < files.Count; i++)
					{
						string fname = "";
						string F_Fullname = "";

						if (Request.Browser.Browser.ToUpper() == "IE" || Request.Browser.Browser.ToUpper() == "INTERNETEXPLORER")
						{
							string[] testfiles = files[i].FileName.Split(new char[] { '\\' });
							fname = testfiles[testfiles.Length - 1];
						}
						string FileExt = Path.GetExtension(files[i].FileName);
						F_Fullname = artWorkModel.artw_createdby + "_" + DateTime.Now.ToString("yyyyMMddHHmmssf") + FileExt;
						fname = Path.Combine(Server.MapPath("~/ImageStorage/ArtWork/"), F_Fullname);

						files[i].SaveAs(fname);
						byte[] imageArray = System.IO.File.ReadAllBytes(fname);
						string base64ImageRepresentation = Convert.ToBase64String(imageArray);

						artWorkModel.artw_image = base64ImageRepresentation;

						string output = JsonConvert.SerializeObject(artWorkModel);

						Task.Run(async () =>
						{
							using (var cli = new WebClient())
							{
								cli.Headers[HttpRequestHeader.ContentType] = "application/json";

								string response = await cli.UploadStringTaskAsync(ArtInserUrl, output);
								var obj = JsonConvert.DeserializeObject<JObject>(response);
								string status = obj["HttpStatusCode"].ToString();
							}
						}).Wait();
					}
				}
				catch (Exception ex)
				{
					var signal = ErrorSignal.FromCurrentContext();
					signal.Raise(ex);
					return Json(new { status = "fail" });
				}
				return Json(new { status = "success" }, JsonRequestBehavior.AllowGet);
			}
		}

		private static double? GetLatitudeAndLongitude(PropertyItem propItem)
		{
			try
			{
				uint degreesNumerator = BitConverter.ToUInt32(propItem.Value, 0);
				uint degreesDenominator = BitConverter.ToUInt32(propItem.Value, 4);
				uint minutesNumerator = BitConverter.ToUInt32(propItem.Value, 8);
				uint minutesDenominator = BitConverter.ToUInt32(propItem.Value, 12);
				uint secondsNumerator = BitConverter.ToUInt32(propItem.Value, 16);
				uint secondsDenominator = BitConverter.ToUInt32(propItem.Value, 20);
				return (Convert.ToDouble(degreesNumerator) / Convert.ToDouble(degreesDenominator)) + (Convert.ToDouble(Convert.ToDouble(minutesNumerator) / Convert.ToDouble(minutesDenominator)) / 60) +
					   (Convert.ToDouble((Convert.ToDouble(secondsNumerator) / Convert.ToDouble(secondsDenominator)) / 3600));
			}
			catch (Exception ex)
			{
				var signal = ErrorSignal.FromCurrentContext();
				signal.Raise(ex);
				return null;
			}
		} // GetLatitudeAndLongitude

		public async Task<ActionResult> UpdateArts(HttpPostedFileBase file)
		{
			if (Session["usr_UserId"] == null)
			{
				return RedirectToAction("Login", "Login", new { area = "" });
			}
			else
			{
				try
				{
					ArtWorkModel artWorkModel = new ArtWorkModel();
					ArtWork_repository awobj = new ArtWork_repository();
					artWorkModel.artw_id = Convert.ToInt32(System.Web.HttpContext.Current.Request.Form["artWork_id"]);
					artWorkModel.artw_Name = System.Web.HttpContext.Current.Request.Form["artWork_Name"];
					artWorkModel.artw_arts_Name = System.Web.HttpContext.Current.Request.Form["artist_Name"];
					artWorkModel.artw_Info = System.Web.HttpContext.Current.Request.Form["artWork_Info"];
					artWorkModel.artw_size = System.Web.HttpContext.Current.Request.Form["artWork_Size"];
					artWorkModel.atrw_age = Convert.ToInt32(System.Web.HttpContext.Current.Request.Form["artAge"]);
					artWorkModel.artw_address = System.Web.HttpContext.Current.Request.Form["artWork_Address"];
					artWorkModel.artw_latitude = System.Web.HttpContext.Current.Request.Form["artWork_latitude"];
					artWorkModel.artw_longitude = System.Web.HttpContext.Current.Request.Form["artWork_longitude"];
					artWorkModel.artw_status = Convert.ToInt32(System.Web.HttpContext.Current.Request.Form["artWork_status"]);
					artWorkModel.artw_statusNotes = System.Web.HttpContext.Current.Request.Form["artWork_statusNotes"];

SRC/TagArt/TagArt/Areas/Admin/Views/Dashboard/Comments.cshtml
@{
    ViewBag.Title = "Comments";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}

<link href="~/Content/Site.css" rel="stylesheet" />

<!-- Bootstrap core CSS -->
<script src="~/Scripts/ sweetalert.min.js"></script>
<link href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css" rel="stylesheet" />
<link href="~/Content/Site.css" rel="stylesheet" />
<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-user"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink("Comments", "Comments", "Dashboard")
            }
        </li>
    </ol>

    <div style="display:flex;align-items:center">
        <h3 style="margin:0">Comments</h3>
        <div class="mr-30" style="margin: 0 11px 0 auto;">
            <button type="button" class="btn btn-large btn-primary" id="NewComments" onclick="AddComments();">Add Comments</button>
        </div>
    </div>

</section>

SRC/TagArt/TagArt/Areas/Admin/Views/Dashboard/EditArtWorkbyID.cshtml
@{
	ViewBag.Title = "ArtWork";
	Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}

<style>
	#sortable {
		list-style-type: none;
		margin: 0;
		padding: 0;
		width: 60%;
	}

		#sortable li {
			margin: 0 5px 5px 5px;
			padding: 5px;
			font-size: 1.2em;
			height: 1.5em;
		}

		html > body #sortable li {
			height: 1.5em;
			line-height: 1.2em;
		}

	.ui-state-highlight {
		height: 1.5em;
		line-height: 1.2em;
	}

	.ui-autocomplete {
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1000;
		float: left;
		display: none;
		min-width: 160px;
		padding: 4px 0;
		margin: 0 0 10px 25px;
		list-style: none;
		background-color: #ffffff;
		border-color: #ccc;
		border-color: rgba(0, 0, 0, 0.2);
		border-style: solid;
		border-width: 1px;
		-webkit-border-radius: 5px;
		-moz-border-radius: 5px;
		border-radius: 5px;
		-webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
		-moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
		box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
		-webkit-background-clip: padding-box;
		-moz-background-clip: padding;
		background-clip: padding-box;
		*border-right-width: 2px;
		*border-bottom-width: 2px;
	}

	.ui-menu-item > a.ui-corner-all {
		display: block;
		padding: 3px 15px;
		clear: both;
		font-weight: normal;
		line-height: 18px;
		color: #555555;
		white-space: nowrap;
		text-decoration: none;
	}

	.ui-state-hover, .ui-state-active {
		color: #ffffff;
		text-decoration: none;
		background-color: #0088cc;
		border-radius: 0px;
		-webkit-border-radius: 0px;
		-moz-border-radius: 0px;
		background-image: none;
	}

	#imgupload {
		margin-top: 7px;
		border: 1px solid #cccccc;
		width: 339px;
		padding: 2px
	}
</style>
<link href="~/Content/Site.css" rel="stylesheet" />
<section class="wrapper site-min-height">
	<ol class="arrows">
		<li>
			<i class="fa fa-dashboard"></i>
			@if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
			{
				@Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
			}
			<i class="fa fa-angle-right"></i>
		</li>
		<li>
			@if (ViewContext.RouteData.Values["action"].ToString() != "Index")
			{
				@Html.ActionLink("Edit Art Work", ViewContext.RouteData.Values["action"].ToString(), ViewContext.RouteData.Values["controller"].ToString())
			}
		</li>
	</ol>
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-3" id="artdiv">
				<h3 style="margin-left:10px"> ArtWork</h3>
			</div>
			<div class="col-md-7" id="artdiv">
			</div>
			<div class="col-md-2" id="artdiv">
				<h3 style="margin-left:10px">
					<button type="button" id="btn_edit" onclick="EditArtWork()" class="btn btn-theme">Edit</button>
				</h3>
			</div>
		</div>
	</div>
	<hr>
	<form class="form-horizontal style-form" method="get">
		<div class="form-group">
			<label class="col-sm-2 col-sm-2 control-label">ArtWork Image</label>
			<div class="col-sm-4">
				<img id="artWorkPhoto" src="" alt="artWork" style="width: 350px;height: 250px;" />
				<input type="file" id="imgupload" accept="image/*" onchange="preview_TitleImg(this)" />
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 col-sm-2 control-label">Artist Name</label>
			<div class="col-sm-4">
				<input id="txt_Artist_Name" type="text" maxlength="40" class="form-control" onkeypress="return blockSpecialChar(event)" placeholder="Enter artist name">
			</div>
			<label class="col-sm-2 col-sm-2 control-label">ArtWork Age</label>
			<div class="col-sm-4">
				<select id="Filter_ArtAge" class="form-control select.form-control ">
					<option value="0">--Select Age--</option>
					<option value="1">1 Year</option>
					<option value="2">6 Months to 1 Year</option>
					<option value="3">Up to 6 Months</option>
				</select>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 col-sm-2 control-label">ArtWork Address</label>
			<div class="col-sm-4">
				<input id="txt_ArtWork_Address" type="text" maxlength="150" class="form-control" placeholder="Enter artwork address">
			</div>
			<label class="col-sm-2 col-sm-2 control-label">ArtWork Size</label>
			<div class="col-sm-4">
				<input id="txt_ArtWork_Size" type="text" maxlength="20" class="form-control" placeholder="Enter artwork size">
			</div>
		</div>
		<div class="form-group" style="display:none;">
			<label class="col-sm-2 col-sm-2 control-label">ArtWork latitude</label>
			<div class="col-sm-4">
				<input id="txt_ArtWork_latitude" type="text" maxlength="50" class="form-control" placeholder="Enter artwork latitude">
			</div>
			<label class="col-sm-2 col-sm-2 control-label">ArtWork longitude</label>
			<div class="col-sm-4">
				<input id="txt_ArtWork_longitude" type="text" maxlength="50" class="form-control" placeholder="Enter artwork longitude">
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 col-sm-2 control-label">ArtWork Info</label>
			<div class="col-sm-10">
				<textarea rows="3" cols="50" id="txt_ArtWork_Info" type="text" maxlength="150" class="form-control" placeholder="Enter artwork info"></textarea>
			</div>
		</div>
		<div class="form-group">
			<label class="col-sm-2 col-sm-2 control-label">Active</label>
			<div class="col-sm-4" id="checkbox">
				<select id="drop_ArtStatus" class="form-control select.form-control">
					<option value="-1">--select Status--</option>
					<option value="0">Approved</option>
					<option value="1">Pending </option>
					<option value="2">Issue</option>
					<option value="3">Rejected</option>
					<option value="4">Deleted</option>
				</select>
			</div>
			<label class="col-sm-2 col-sm-2 control-label" style="display:none">ArtWork statusNotes</label>
			<div class="col-sm-4" style="display:none">
				<input id="txt_ArtWork_statusNotes" type="text" maxlength="200" class="form-control" placeholder="Enter statusNotes">
			</div>
		</div>
		<div class="col-md-12">
			<div class="">
				&nbsp;
				<button type="button" id="btn_update" onclick="UpdateArtWork()" class="btn btn-theme" style="display:none">Update</button>
				<button type="button" id="btn_cancle" onclick="Back2Dashboard()" class="btn btn-theme04">Cancel</button>
			</div>
		</div>
	</form>
</section>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script>
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]';
    $(document).ready(function () {
        GetArtWorkDetail();
        artistlist();
    });
    $(function () {
        $('#txt_Artist_Name').on('keypress', function (e) {
            if ($(this).val() == "")
                if (e.which == 32)
                    return false;
        });
    })
    function Back2Dashboard() {
        var url = '@Url.Action("index", "Dashboard", new { area = "admin"})';
        window.location.href = url;
    }
    var artist;
    $(function () {
        var availableTags = [];
        for (var i = 0; i < artist.length; i++) {
            availableTags.push(artist[i].artw_arts_Name);
        }
        $("#txt_Artist_Name").autocomplete({
            source: availableTags
        });
    });
    function artistlist() {
        $('#pageload').show();
        $.ajax({
            type: "Get",
            async: false,
            dataType: 'json',
            url: '@Url.Action("GetArtistList", "Dashboard", new { area = "Admin"})',
            success: function (data) {
                if (data.status == true) {
                    artist = data.data;
                }
                $('#pageload').hide();
            }, error: function (e) {
                $('#pageload').hide();
            }
        });
    }
    function GetArtWorkDetail() {
        var art_age = "";
        if (localStorage.getItem("atrw_age") == "" || localStorage.getItem("atrw_age") == "0") {
            art_age = 0;
        } else {
            art_age = localStorage.getItem("atrw_age");
        }
        if (localStorage.getItem("artw_statusNotes") == "null" || localStorage.getItem("artw_statusNotes") == null) {
            localStorage.setItem("artw_statusNotes", "");
        }
        $("#artWorkPhoto").attr("src", imagespath + "\\thum_ArtWork_36\\" + localStorage.getItem("artw_image"));
        document.getElementById("imgupload").disabled = true;
        if (localStorage.getItem("artw_arts_Name") == "null" || localStorage.getItem("artw_arts_Name") == null) {
            localStorage.setItem("artw_arts_Name", "");
        }
        if (localStorage.getItem("artw_size") == "null" || localStorage.getItem("artw_size") == null) {
            localStorage.setItem("artw_size", "");
        }
        if (localStorage.getItem("artw_address") == "null" || localStorage.getItem("artw_address") == null) {
            localStorage.setItem("artw_address", "");
        }
        if (localStorage.getItem("artw_latitude") == "null" || localStorage.getItem("artw_latitude") == null) {
            localStorage.setItem("artw_latitude", "");
        }
        if (localStorage.getItem("artw_longitude") == "null" || localStorage.getItem("artw_longitude") == null) {
            localStorage.setItem("artw_longitude", "");
        }
        if (localStorage.getItem("artw_Info") == "null" || localStorage.getItem("artw_Info") == null) {
            localStorage.setItem("artw_Info", "");
        }
        $("#txt_Artist_Name").val(localStorage.getItem("artw_arts_Name")).attr("disabled", "disabled");
        $("#txt_ArtWork_Info").val(localStorage.getItem("artw_Info")).attr("disabled", "disabled");
        $("#txt_ArtWork_Size").val(localStorage.getItem("artw_size")).attr("disabled", "disabled");
        $("#Filter_ArtAge").val(art_age).attr("disabled", "disabled");
        $("#txt_ArtWork_Address").val(localStorage.getItem("artw_address")).attr("disabled", "disabled");
        $("#txt_ArtWork_latitude").val(localStorage.getItem("artw_latitude")).attr("disabled", "disabled");
        $("#txt_ArtWork_longitude").val(localStorage.getItem("artw_longitude")).attr("disabled", "disabled");
        $("#drop_ArtStatus").val(localStorage.getItem("artw_status")).attr("disabled", "disabled");
        $("#txt_ArtWork_statusNotes").val(localStorage.getItem("artw_statusNotes")).attr("disabled", "disabled");
    }
    function EditArtWork() {
        document.getElementById("imgupload").disabled = false;
        $("#txt_ArtWork_Name").removeAttr("disabled");
        $("#txt_Artist_Name").removeAttr("disabled");
        $("#txt_ArtWork_Info").removeAttr("disabled");
        $("#txt_ArtWork_Size").removeAttr("disabled");
        $("#Filter_ArtAge").removeAttr("disabled");
        $("#txt_ArtWork_Address").removeAttr("disabled");
        $("#drop_ArtStatus").removeAttr("disabled");
        $("#btn_update").show();
        $("#btn_edit").hide();
    }

    function preview_TitleImg(file) {
        if (file.files.length > 0) {
            var FileSize = file.files[0].size / 1024 / 1024; // in MB
            if (FileSize > 3) {
                alert(file.files[0].name + ' File size exceeds 3 MB');
                $("#imgupload").val("");
            } else {
                var total_file = document.getElementById("imgupload").files.length;
                $("#artWorkPhoto").attr("src", URL.createObjectURL(event.target.files[0]));
            }
        }
    }
    function UpdateArtWork() {
        var files = $("#imgupload").get(0).files;
        var fileData = new FormData();
        if (files.length < 1) {
            fileData.append("imgName", localStorage.getItem("artw_image"));
        } else {
            fileData.append("imgName", "");
        }
        for (var i = 0; i < files.length; i++) {
            fileData.append("fileInput", files[i]);
        }
        if ($("#drop_ArtStatus").val() == -1) {
            alert("Please select status");
            return;
        }
        $('#pageload').show();
        fileData.append("artWork_id", localStorage.getItem("artw_id"));
        fileData.append("artWork_Name", $("#txt_ArtWork_Name").val());
        fileData.append("artist_Name", $("#txt_Artist_Name").val());
        fileData.append("artWork_Info", $("#txt_ArtWork_Info").val());
        fileData.append("artWork_Size", $("#txt_ArtWork_Size").val());
        fileData.append("artAge", $("#Filter_ArtAge").val());
        fileData.append("artWork_Address", $("#txt_ArtWork_Address").val());
        fileData.append("artWork_latitude", $("#txt_ArtWork_latitude").val());
        fileData.append("artWork_longitude", $("#txt_ArtWork_longitude").val());
        fileData.append("artWork_status", $("#drop_ArtStatus").val());
        fileData.append("artWork_statusNotes", $("#txt_ArtWork_statusNotes").val());
        $.ajax({
            type: "POST",
            async: false,
            dataType: 'json',
            contentType: false,
            processData: false,
            url: '@Url.Action("UpdateArts", "Dashboard", new { area = "Admin"})',
            data: fileData,
            success: function (data) {
                if (data.status == "success") {
                    alert("save successfully.");
                    $('#pageload').hide();
                    localStorage.setItem("EditArtByID", "Y");
                    window.location.href = "@Url.Action("Index", "Dashboard", new { area = "Admin"})";
                } else {
                    $('#pageload').hide();
                }
            }, error: function (error) {
                $('#pageload').hide();
            }
        });

    }
</script>